# Class Styles

java.lang.Object
uk.ac.starlink.ttools.plot.Styles

public class Styles extends Object
Utility class relating to the `StyleSet` interface.

Since:
  4 Nov 2005
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Color[]`
`COLORS`
`static final float[][]`
`DASHES`
`static final Color`
`PLAIN_COLOR`
Colour to use in monochrome colour scheme (black).
`static final Stroke`
`PLAIN_STROKE`

## Constructor Summary

Constructors
Constructor
Description
`Styles()`

## Method Summary

Modifier and Type
Method
Description
`static Color`
`getColor(int index)`
Returns a colour labelled by a given index.
`static float[]`
`getDash(int index)`
Returns a dash pattern labelled by a given index.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DASHES

public static final float[][] DASHES

### COLORS

public static final Color[] COLORS

### PLAIN_COLOR

public static final Color PLAIN_COLOR
Colour to use in monochrome colour scheme (black).

### PLAIN_STROKE

public static final Stroke PLAIN_STROKE

## Constructor Details

### Styles

public Styles()

## Method Details

### getColor

public static Color getColor(int index)
Returns a colour labelled by a given index. The same index always maps to the same colour.

Parameters:
  `index` - code
Returns:
  colour correspoding to `index`

### getDash

public static float[] getDash(int index)
Returns a dash pattern labelled by a given index. The same index always maps to the same pattern.

Parameters:
  `index` - code
Returns:
  stroke corresponding to `index`